summaryrefslogtreecommitdiff
path: root/tests/cp/cp-mv-backup
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1999-12-09 15:52:49 +0000
committerJim Meyering <jim@meyering.net>1999-12-09 15:52:49 +0000
commiteb06f705a180e546607c27ba32c38dbebe18abb6 (patch)
tree2996e97c22eab738018fb6b586ad0873eb178a58 /tests/cp/cp-mv-backup
parentaeabe74421380e8b2c86bd1ac5a4b12ecc347105 (diff)
downloadcoreutils-eb06f705a180e546607c27ba32c38dbebe18abb6.tar.xz
Use 1>&2 rather than `1<&-'.
Suggestion from Volker Borchert.
Diffstat (limited to 'tests/cp/cp-mv-backup')
-rwxr-xr-xtests/cp/cp-mv-backup4
1 files changed, 3 insertions, 1 deletions
diff --git a/tests/cp/cp-mv-backup b/tests/cp/cp-mv-backup
index b861248c8..2437d5aef 100755
--- a/tests/cp/cp-mv-backup
+++ b/tests/cp/cp-mv-backup
@@ -17,7 +17,9 @@ actual=$dir/actual
expected=$dir/expected
# Be careful to close $actual before removing the containing directory.
-trap "cd $pwd; exec 1<&-; rm -rf $dir" 0 1 2 3 15
+# Use `1>&2' rather than `1<&-' since the latter appears not to work
+# with /bin/sh from powerpc-ibm-aix4.2.0.0.
+trap "cd $pwd; exec 1>&2; rm -rf $dir" 0 1 2 3 15
mkdir $dir
unset VERSION_CONTROL SIMPLE_BACKUP_SUFFIX